QGIS Application - Feature request #1947

Ability to create vector scratch layer for editing purposes

2009-09-23 09:52 PM - Jeremy Palmer

Status: Closed

Priority: Low

Assignee:

Category: Vectors

Pull Request or Patch supplied: Resolution: wontfix
Easy fix?: No Copied to github as #: 12007
Description

I would like the ability to create a vector scratch layer for storing temporary features that are in the process of being edited.

For example | have two layers. The first contain source polygon features, the second contains features that are derived (i.e.
union/merged) and copied features from the first. The problem is that if you copy feature directly from the first to the second, selections for
the merge become hard due to other features already in the second layer.

A good solution would be to have a “temporary in memory” edit layer which you can copy the feature into, complete geometry operations

in, and then copy to the final destination layer.

Maybe exposing the memory provider in the new layer dialog is enough?

History

#1 - 2011-12-16 01:58 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-02-23 11:00 AM - Goyo D
- Pull Request or Patch supplied set to No
- Assignee deleted (nobody -)

| think this feature is provided by the Memory Layer plugin.

#3 - 2012-03-06 04:52 PM - Alister Hood
- Status info deleted (0)

- Operating System deleted (Debian)

- Target version deleted (Version 1.7.4)

Sometimes it might be desirable to create a memory layer with the same attribute fields as another layer, which the New Memory Layer plugin can't do.

Maybe the best solution for this would be to implement "memory layer" as an option in the "Layer>Save as", and "Layer>Save selection as..." dialogues.

#4 - 2012-03-07 03:24 AM - Giovanni Manghi
- Target version set to Version 2.0.0
- Status changed from Open to Feedback

Alister Hood wrote:
Sometimes it might be desirable to create a memory layer with the same attribute fields as another layer, which the New Memory Layer plugin can't

do.

Maybe the best solution for this would be to implement "memory layer" as an option in the "Layer>Save as", and "Layer>Save selection as..."

dialogues.

| believe there is already a feature request ticket to allow "clone" layers.

The original request of this ticket seems also to me that is covered by the memoery layer plugin and so | would vote to close it.

#5 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2013-03-16 01:05 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to wontfix

Use the "new memory layer" plugin and/or the "duplicate layer" function.
